=== mimetypes/CMakeLists.txt ===
ecm_install_icons(ICONS
  22-mimetypes-application-x-kig.png
  64-mimetypes-application-x-kig.png
  48-mimetypes-application-x-kig.png
  sc-mimetypes-application-x-kig.svgz
  32-mimetypes-application-x-kig.png
  16-mimetypes-application-x-kig.png
  128-mimetypes-application-x-kig.png
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)
