=== scripting/CMakeLists.txt ===
install(FILES
   python-kig.xml
   DESTINATION ${CMAKE_INSTALL_DATADIR}/katepart5/syntax)
