## kig 21.08.0

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kig
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
@@ -22,7 +23,7 @@
                libkf5texteditor-dev,
                libkf5xmlgui-dev (>= 5.1~),
                libqt5svg5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev,
+               libqt5xmlpatterns5-dev (>= 5.5.1~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                python3:any,
@@ -36,7 +37,7 @@
 Package: kig
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
 Description: interactive geometry tool
  Kig is an application for interactive geometric construction, allowing
