## kig 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
@@ -13,7 +13,9 @@
 find_package(Qt5PrintSupport REQUIRED)
 find_package(Qt5XmlPatterns 5.5.1)
 
-find_package(ECM 1.7 REQUIRED NO_MODULE)
+find_package(ECM REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+
 find_package(KF5Parts REQUIRED)
 find_package(KF5DocTools REQUIRED)
 find_package(KF5I18n REQUIRED)
@@ -24,8 +26,6 @@
 find_package(KF5XmlGui 5.1 REQUIRED)
 find_package(KF5Crash 5.15 REQUIRED)
 find_package(KF5CoreAddons REQUIRED)
-
-set(CMAKE_MODULE_PATH ${kig_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 set (KDE5_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
 
@@ -242,6 +242,8 @@
 add_library(kigpart MODULE ${kigpart_PART_SRCS})
 generate_export_header(kigpart)
 
+kcoreaddons_desktop_to_json(kigpart kig/kig_part.desktop)
+
 target_link_libraries(kigpart
   Qt5::Gui
   Qt5::Svg
@@ -268,7 +270,7 @@
 if (KF5DocTools_FOUND)
     kdoctools_install(po)
 endif()
-install(TARGETS kigpart DESTINATION ${PLUGIN_INSTALL_DIR})
+install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
 install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests
