=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kig
 Section: kde
 Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Sune Vuorela <sune@debian.org>
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-python,
@@ -19,25 +20,24 @@
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5parts-dev,
-               libkf5syntaxhighlighting-dev (>= 5.78.0),
-               libkf5texteditor-dev (>= 5.68.0),
+               libkf5texteditor-dev,
                libkf5xmlgui-dev (>= 5.1~),
                libqt5svg5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev (>= 5.5.1~),
+               libqt5xmlpatterns5-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
+               python3:any,
+               qtbase5-dev (>= 5.4),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kig
-Vcs-Git: https://invent.kde.org/neon/kde/kig.git
-Vcs-Browser: https://invent.kde.org/neon/kde/kig
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kig
 
 Package: kig
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Suggests: khelpcenter
 Description: interactive geometry tool
  Kig is an application for interactive geometric construction, allowing
