## kig 24.12.1

=== debian/changelog ===
kig (4:24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch away from transitional pkg-config build dependency.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 22:52:16 +0100
