=== debian/control ===
Source: kig
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 1.7~),
               gettext,
               kinit-dev,
               libboost-python-dev (>= 1.71~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5texteditor-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.5.1~),
               pkgconf,
               pkg-kde-tools (>> 0.15.15),
               python3:any,
               qtbase5-dev (>= 5.4),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/kig
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kig.git

Package: kig
Architecture: any
Section: math
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Suggests: khelpcenter,
Description: interactive geometry tool
 Kig is an application for interactive geometric construction, allowing
 students to draw and explore mathematical figures and concepts using the
 computer.
 .
 Kig supports macros and is scriptable using Python.  It can import and export
 files in various formats, including SVG, Cabri, Dr. Geo, KGeo, KSeg, and XFig.
 .
 This package is part of the KDE education module.
