## kig 24.12.3

=== debian/changelog ===
kig (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:42:33 +0000

kig (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:17:27 +0000

kig (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * Switch build dep pkg-config -> pkgconf.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Jan 2025 06:49:02 +0000

kig (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:31:29 +0000
