## kig 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kig VERSION ${RELEASE_SERVICE_VERSION})
@@ -30,7 +30,6 @@
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.90.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(KF5Parts ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
@@ -66,7 +65,6 @@
 add_subdirectory( kig )
 add_subdirectory( mimetypes )
 add_subdirectory( macros )
-add_subdirectory( data )
 add_subdirectory( pykig )
 
 if(BoostPython_FOUND)
@@ -212,6 +210,8 @@
    kig/kig_part.cpp
    kig/kig_view.cpp
 
+   kig/kig_part.qrc
+
 
    objects/angle_type.h
    objects/arc_type.h
@@ -389,7 +389,7 @@
     kdoctools_install(po)
 endif()
 install(TARGETS kigpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
-install(FILES org.kde.kig.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES org.kde.kig.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # unit tests
 if (BUILD_TESTING)
