=== debian/control ===
--- 
+++ 
@@ -24,11 +24,11 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.4),
                libqt5xmlpatterns5-dev (>= 5.5.1~),
+               pkg-kde-tools (>> 0.15.15),
                pkgconf,
-               pkg-kde-tools (>> 0.15.15),
                python3:any,
                qtbase5-dev (>= 5.4),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/kig
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kig
